import { BuildInTa } from ".";
import { BuiltInVariables } from "../buildInVariables";
import { VInputType, VPlotDisplay } from "../enum";
import { TccErrorListener } from "./errorListener";
type TSimpleType = string | number | boolean;
interface IInputArgs {
    id: string;
    defval: TSimpleType;
    title?: string;
    tooltip?: string;
    inline?: string;
    type?: VInputType;
    group?: string;
    display?: VPlotDisplay[];
    sourceTypeName?: string;
    isModify?: boolean;
    options?: TSimpleType[];
    confirm?: boolean;
    minval?: number;
    maxval?: number;
    step?: number;
    inputType?: VInputType;
    index?: number;
    modifyDefval?: TSimpleType;
}
interface ICacheData {
    [key: string]: IInputArgs;
}
declare class Input extends BuildInTa {
    private _inputCacheDataLoc;
    protected _errorListener: TccErrorListener;
    private _historyInputs;
    private _name;
    private _newCacheData;
    constructor(variables: BuiltInVariables, id: string);
    get _inputCacheData(): ICacheData;
    set _inputCacheData(data: ICacheData);
    updateInput(vals?: IInputArgs[]): void;
    input(args: IInputArgs, posStr: string): TSimpleType;
    private _cacheHandle;
    private _verifyMaxOrMin;
    getInputs(): IInputArgs[];
}
export default Input;
